Package: groovy.util

## [Java] Class NamespaceContext

- groovy.util.XmlNodePrinter.NamespaceContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlNodePrinter.NamespaceContext ()`
    `XmlNodePrinter.NamespaceContext (NamespaceContext context)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getNamespace(String prefix)`
    `` | `boolean` | `isPrefixRegistered(String prefix, String uri)`
    `` | `void` | `registerNamespacePrefix(String prefix, String uri)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public XmlNodePrinter.NamespaceContext()

    - #### public XmlNodePrinter.NamespaceContext(NamespaceContext context)

  - ### Method Detail

    - #### public String getNamespace(String prefix)

    - #### public boolean isPrefixRegistered(String prefix, String uri)

    - #### public void registerNamespacePrefix(String prefix, String uri)